# Method Image.Image()->apply_max()

Method apply_max

  `object apply_max(array(array(int|array(int))) matrix)`
  `object apply_max(array(array(int|array(int))) matrix, int r, int g, int b)`
  `object apply_max(array(array(int|array(int))) matrix, int r, int g, int b, int|float div)`

Description

  This is the same as apply_matrix, but it uses the maximum instead.

  This function is not very fast.

Parameter `array`

  the matrix; innermost is a value or an array with red, green, blue values for red, green, blue separation.

Parameter `r`
Parameter `g`
Parameter `b`

  base level of result, default is zero

Parameter `div`

  division factor, default is 1.0.

Returns

  the new image object

Note

  experimental status; may not be exact the same output in later versions